package com.jpsoft.shinestar.modules.sys.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.sys.entity.Role;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface RoleService {
	Role get(String id);
	boolean exist(String id);
	int insert(Role model);
	int update(Role model);
	int delete(String id);
	List<Role> list();
	Page<Role> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,List<Sort> sortList);
	Role findByName(String name);
}